: Class StringLib

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jel
Class StringLib

    java.lang.Object
      |
      +--gnu.jel.StringLib

public class StringLib
extends java.lang.Object

String manipulation library for JEL.

This class merely provides static wrappers for methods of `java.lang.String` class. Use this as a static library to get string manipulation functions within JEL compiled expressions. see java.lang.String for descriptions of corresponding methods.

See Also:
  `String`

Constructor Summary
`StringLib()`

Method Summary
`static char` | `charAt(java.lang.String arg, int index)`
`static int` | `compareTo(java.lang.String arg, java.lang.String anotherString)`
`static java.lang.String` | `concat(java.lang.String arg, java.lang.String str)`
`static boolean` | `endsWith(java.lang.String arg, java.lang.String suffix)`
`static boolean` | `equals(java.lang.String arg, java.lang.Object anObject)`
`static int` | `indexOf(java.lang.String arg, int ch)`
`static int` | `indexOf(java.lang.String arg, int ch, int fromIndex)`
`static int` | `indexOf(java.lang.String arg, java.lang.String other)`
`static int` | `indexOf(java.lang.String arg, java.lang.String other, int fromIndex)`
`static java.lang.String` | `intern(java.lang.String arg)`
`static int` | `lastIndexOf(java.lang.String arg, int ch)`
`static int` | `lastIndexOf(java.lang.String arg, int ch, int fromIndex)`
`static int` | `lastIndexOf(java.lang.String arg, java.lang.String other)`
`static int` | `lastIndexOf(java.lang.String arg, java.lang.String other, int fromIndex)`
`static int` | `length(java.lang.String arg)`
`static boolean` | `regionMatches(boolean ignorecase, java.lang.String one, int toffset, java.lang.String other, int ooffset, int len)`
`static boolean` | `regionMatches(java.lang.String one, int toffset, java.lang.String other, int ooffset, int len)`
`static java.lang.String` | `replace(java.lang.String arg, char oldChar, char newChar)`
`static boolean` | `startsWith(java.lang.String arg, java.lang.String prefix)`
`static boolean` | `startsWith(java.lang.String arg, java.lang.String prefix, int toffset)`
`static java.lang.String` | `substring(java.lang.String arg, int beginIndex)`
`static java.lang.String` | `substring(java.lang.String arg, int beginIndex, int endIndex)`
`static java.lang.String` | `toLowerCase(java.lang.String arg)`
`static java.lang.String` | `toUpperCase(java.lang.String arg)`
`static java.lang.String` | `trim(java.lang.String arg)`
`static java.lang.String` | `valueOf(boolean b)`
`static java.lang.String` | `valueOf(char c)`
`static java.lang.String` | `valueOf(double d)`
`static java.lang.String` | `valueOf(float f)`
`static java.lang.String` | `valueOf(int i)`
`static java.lang.String` | `valueOf(long l)`
`static java.lang.String` | `valueOf(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringLib

    public StringLib()

Method Detail

### length

    public static int length(java.lang.String arg)

### charAt

    public static char charAt(java.lang.String arg,
                              int index)

### equals

    public static boolean equals(java.lang.String arg,
                                 java.lang.Object anObject)

### compareTo

    public static int compareTo(java.lang.String arg,
                                java.lang.String anotherString)

### regionMatches

    public static boolean regionMatches(java.lang.String one,
                                        int toffset,
                                        java.lang.String other,
                                        int ooffset,
                                        int len)

### regionMatches

    public static boolean regionMatches(boolean ignorecase,
                                        java.lang.String one,
                                        int toffset,
                                        java.lang.String other,
                                        int ooffset,
                                        int len)

### startsWith

    public static boolean startsWith(java.lang.String arg,
                                     java.lang.String prefix,
                                     int toffset)

### startsWith

    public static boolean startsWith(java.lang.String arg,
                                     java.lang.String prefix)

### endsWith

    public static boolean endsWith(java.lang.String arg,
                                   java.lang.String suffix)

### indexOf

    public static int indexOf(java.lang.String arg,
                              int ch)

### indexOf

    public static int indexOf(java.lang.String arg,
                              int ch,
                              int fromIndex)

### lastIndexOf

    public static int lastIndexOf(java.lang.String arg,
                                  int ch)

### lastIndexOf

    public static int lastIndexOf(java.lang.String arg,
                                  int ch,
                                  int fromIndex)

### indexOf

    public static int indexOf(java.lang.String arg,
                              java.lang.String other)

### indexOf

    public static int indexOf(java.lang.String arg,
                              java.lang.String other,
                              int fromIndex)

### lastIndexOf

    public static int lastIndexOf(java.lang.String arg,
                                  java.lang.String other)

### lastIndexOf

    public static int lastIndexOf(java.lang.String arg,
                                  java.lang.String other,
                                  int fromIndex)

### substring

    public static java.lang.String substring(java.lang.String arg,
                                             int beginIndex)

### substring

    public static java.lang.String substring(java.lang.String arg,
                                             int beginIndex,
                                             int endIndex)

### concat

    public static java.lang.String concat(java.lang.String arg,
                                          java.lang.String str)

### replace

    public static java.lang.String replace(java.lang.String arg,
                                           char oldChar,
                                           char newChar)

### toLowerCase

    public static java.lang.String toLowerCase(java.lang.String arg)

### toUpperCase

    public static java.lang.String toUpperCase(java.lang.String arg)

### trim

    public static java.lang.String trim(java.lang.String arg)

### intern

    public static java.lang.String intern(java.lang.String arg)

### valueOf

    public static java.lang.String valueOf(java.lang.Object obj)

### valueOf

    public static java.lang.String valueOf(boolean b)

### valueOf

    public static java.lang.String valueOf(char c)

### valueOf

    public static java.lang.String valueOf(int i)

### valueOf

    public static java.lang.String valueOf(long l)

### valueOf

    public static java.lang.String valueOf(float f)

### valueOf

    public static java.lang.String valueOf(double d)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD